body {
    font-family: 'Arial', sans-serif;
    background-color: #f4f4f4;
    margin: 0;
    padding: 0;
}

header {
    background-color: #333;
    color: white;
    text-align: center;
    padding: 20px;
}

.carousel-container {
    max-width: 800px;
    margin: 20px auto;
    position: relative;
}

.carousel {
    display: flex;
    overflow: hidden;
}

.carousel-item {
    flex: 0 0 100%;
    transition: transform 0.5s ease-in-out;
}

button {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background-color: #4caf50;
    color: white;
    padding: 10px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    font-size: 16px;
}

button:hover {
    background-color: #45a049;
}